-- Source
-- https://wowwiki.fandom.com/wiki/API_EasyMenu
-- https://www.wowinterface.com/forums/showthread.php?t=40444
local WarlockWizz,menuTable  =...;

local state = true

function iconsShownFunc()
    if state == true then
        print("Icons: off")
        menuTable.iconsShown = false
        state = false
        checked = state
    else
        print("Icons: on")
        menuTable.iconsShown = true
        state = true
    end
end

menuTable.iconsShown = true

local menu = {
    { text = "Select an Option", isTitle = true, notCheckable = true, notClickable = true},
    { text = "----------------------", notCheckable = true, notClickable = true},
    { text = "Icons off / on", func = iconsShownFunc, isTitle = false, notCheckable = true, isNotRadio = true, state = true, keepShownOnClick = true, },
    -- { text = "Close", func = function() CloseDropDownMenus() end, notCheckable = true },

    -- { text = "Option 2", func = function() print("You've chosen option 2"); end },
    -- { text = "Disable Spells", hasArrow = true,
    --     menuList = {
    --         { text = "Corruption", func = function() print("You've chosen option 3"); end }
    --     }
    -- }
}

local menuFrame = CreateFrame("Frame", "ExampleMenuFrame", UIParent, "UIDropDownMenuTemplate")
    menuFrame:SetWidth(32)
    menuFrame:SetHeight(32)
    menuFrame:SetPoint("CENTER",120,54)
    menuFrame:Hide()

local function SlashCmd(cmd)
    EasyMenu(menu, menuFrame, menuFrame, 0 , 0, "MENU");
end

SlashCmdList["ww"] = SlashCmd
SLASH_ww1 = "/ww"
