local WarlockWizz,targetDebuffsTable  =...;
local WarlockWizz, iconsTable         =...;

-- UIFrameFadeOut/IN
local timeToFade                    = 1
local startAlpha                    = 1
local endAlpha                      = 1

local spell_corruption_icon           = iconsTable.spell_corruption_icon
local tf1                             = iconsTable.tf1

local spell_agony_icon                = iconsTable.spell_agony_icon
local tf2                             = iconsTable.tf2

local spell_unstable_icon             = iconsTable.spell_unstable_icon
local tf3                             = iconsTable.tf3

local spell_fear_icon                 = iconsTable.spell_fear_icon
local spell_mortalcoil_icon           = iconsTable.spell_mortalcoil_icon
local spell_shadowfury_icon           = iconsTable.spell_shadowfury_icon
local tf4                             = iconsTable.tf4

local spell_seed_icon                 = iconsTable.spell_seed_icon
local spell_havoc_icon                 = iconsTable.spell_havoc_icon
local tf5                             = iconsTable.tf5

local spell_tongues_icon              = iconsTable.spell_tongues_icon
local spell_weakness_icon             = iconsTable.spell_weakness_icon
local spell_exhaustion_icon           = iconsTable.spell_exhaustion_icon
local tf6                             = iconsTable.tf6

local spell_haunt_icon                = iconsTable.spell_haunt_icon
local spell_immolate_icon             = iconsTable.spell_immolate_icon
local tf7                             = iconsTable.tf7

local spell_phantom_icon              = iconsTable.spell_phantom_icon
local spell_vile_icon                 = iconsTable.spell_vile_icon
local tf8                             = iconsTable.tf8

local spell_siphon_icon               = iconsTable.spell_siphon_icon
local tf9                             = iconsTable.tf9

-- Debuff: Corruption
function targetDebuffsTable.TargetDebuffOne()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_corruption_icon:Hide()
      tf1:Hide()
      break
    elseif name == "Corruption" and unitCaster == "player" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      if remainingDuration > -120 then
        tf1.text:SetText(remainingDuration.." s")
        UIFrameFadeOut(spell_corruption_icon, timeToFade, 1, 1)
        UIFrameFadeOut(tf1, timeToFade, 1, 1)
        if remainingDuration < 4.2 then
          UIFrameFadeOut(spell_corruption_icon, timeToFade, 1, 0)
          UIFrameFadeOut(tf1, timeToFade, 1, 0)
        end
        break
      else
        UIFrameFadeOut(spell_corruption_icon, timeToFade, 1, 1)
    end
      break
    end
  end
end

-- Debuff: Agony
function targetDebuffsTable.TargetDebuffTwo()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_agony_icon:Hide()
      tf2:Hide()
      break
    elseif name == "Agony" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf2.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_agony_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf2, timeToFade, 1, 1)
      if remainingDuration < 5.4 then
        UIFrameFadeOut(spell_agony_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf2, timeToFade, 1, 0)
      end
      break
    else
    end
  end
end

-- Debuff: Unstable Affliction
function targetDebuffsTable.TargetDebuffThree()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_unstable_icon:Hide()
      tf3:Hide()
      break
    elseif name == "Unstable Affliction" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf3.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_unstable_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf3, timeToFade, 1, 1)
      if remainingDuration < 6.3 then
        UIFrameFadeOut(spell_unstable_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf3, timeToFade, 1, 0)
      end  
      break
    end
  end
end

-- Debuff: Fear
function targetDebuffsTable.TargetDebuffFour()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_fear_icon:Hide()
      tf4:Hide()
      break
    elseif name == "Fear" and unitCaster == "player" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_fear_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf4, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_fear_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf4, timeToFade, 1, 0)
      end  
      break
    elseif name == "Mortal Coil" and unitCaster == "player" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_mortalcoil_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf4, timeToFade, 1, 0)
      break
    elseif name == "Shadowfury" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_shadowfury_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf4, timeToFade, 1, 0)
      break
    else
      tf4:Hide()
    end
  end
end

-- Debuff: Seed of Corruption
function targetDebuffsTable.TargetDebuffFive()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_seed_icon:Hide()
      spell_havoc_icon:Hide()
      tf5:Hide()
      break
    elseif name == "Seed of Corruption" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf5.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_seed_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf5, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_seed_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf5, timeToFade, 1, 0)
      end
      break
    elseif name == "Havoc" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf5.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_havoc_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf5, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_havoc_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf5, timeToFade, 1, 0)
      end    
      break
    end
  end
end

-- Debuff: Curse of Tongues
function targetDebuffsTable.TargetDebuffSix()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_tongues_icon:Hide()
      spell_weakness_icon:Hide()
      spell_exhaustion_icon:Hide()
      tf6:Hide()
      break
    elseif name == "Curse of Tongues" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf6.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_tongues_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf6, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_tongues_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf6, timeToFade, 1, 0)
      end  
      break
    elseif name == "Curse of Weakness" and unitCaster == "player" then 
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf6.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_weakness_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf6, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_weakness_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf6, timeToFade, 1, 0)
      end  
      break
    elseif name == "Curse of Exhaustion" and unitCaster == "player" then 
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf6.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_exhaustion_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf6, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_exhaustion_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf6, timeToFade, 1, 0)
      end  
      break
    end
  end
end

-- Debuff: Haunt
function targetDebuffsTable.TargetDebuffSeven()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_immolate_icon:Hide()
      spell_haunt_icon:Hide()
      tf7:Hide()
      break
    elseif name == "Haunt" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      print("Haunt")
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf7.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_haunt_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf7, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_haunt_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf7, timeToFade, 1, 0)
      end
      break
    elseif name == "Immolate" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf7.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_immolate_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf7, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_immolate_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf7, timeToFade, 1, 0)
      end   
      break
    end
  end
end

-- Debuff: Haunt
function targetDebuffsTable.TargetDebuffEight()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_phantom_icon:Hide()
      spell_vile_icon:Hide()
      tf8:Hide()
      break
    elseif name == "Phantom Singularity" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf8.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_phantom_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf8, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_phantom_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf8, timeToFade, 1, 0)
      end  
      break
    elseif name == "Vile Taint" and unitCaster == "player" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf8.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_vile_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf8, timeToFade, 1, 1)
      if remainingDuration < 6 then
        UIFrameFadeOut(spell_vile_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf8, timeToFade, 1, 0)
      end  
      break  
    end
  end
end

-- Debuff: Siphon Life
function targetDebuffsTable.TargetDebuffNine()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, unitCaster, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      spell_siphon_icon:Hide()
      tf9:Hide()
      break
    elseif name == "Siphon Life" and unitCaster == "player" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf9.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_siphon_icon, timeToFade, 1, 1)
      UIFrameFadeOut(tf9, timeToFade, 1, 1)
      if remainingDuration < 4.5 then
        UIFrameFadeOut(spell_siphon_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf9, timeToFade, 1, 0)
      end  
      break
    end
  end
end